<?php

function mlf_load_static_options() {

    $mlf_config['locale']['de'] = "de_DE";
    $mlf_config['locale']['en'] = "en_US";
    $mlf_config['locale']['zh'] = "zh_CN";
    $mlf_config['locale']['fi'] = "fi";
    $mlf_config['locale']['fr'] = "fr_FR";
    $mlf_config['locale']['nl'] = "nl_NL";
    $mlf_config['locale']['se'] = "sv_SE";
    $mlf_config['locale']['it'] = "it_IT";
    $mlf_config['locale']['ro'] = "ro_RO";
    $mlf_config['locale']['hu'] = "hu_HU";
    $mlf_config['locale']['ja'] = "ja";
    $mlf_config['locale']['es'] = "es_ES";
    $mlf_config['locale']['vi'] = "vi";
    $mlf_config['locale']['ar'] = "ar";
    $mlf_config['locale']['pt'] = "pt_BR";

    // Names for languages in the corresponding language, add more if needed
    $mlf_config['language_name']['de'] = "Deutsch";
    $mlf_config['language_name']['en'] = "English";
    $mlf_config['language_name']['zh'] = "中文";
    $mlf_config['language_name']['fi'] = "suomi";
    $mlf_config['language_name']['fr'] = "Français";
    $mlf_config['language_name']['nl'] = "Nederlands";
    $mlf_config['language_name']['se'] = "Svenska";
    $mlf_config['language_name']['it'] = "Italiano";
    $mlf_config['language_name']['ro'] = "Română";
    $mlf_config['language_name']['hu'] = "Magyar";
    $mlf_config['language_name']['ja'] = "日本語";
    $mlf_config['language_name']['es'] = "Español";
    $mlf_config['language_name']['vi'] = "Tiếng Việt";
    $mlf_config['language_name']['ar'] = "العربية";
    $mlf_config['language_name']['pt'] = "Português";

    // Flag images configuration
    // Look in /flags/ directory for a huge list of flags for usage
    $mlf_config['flag']['en'] = 'gb.png';
    $mlf_config['flag']['de'] = 'de.png';
    $mlf_config['flag']['zh'] = 'cn.png';
    $mlf_config['flag']['fi'] = 'fi.png';
    $mlf_config['flag']['fr'] = 'fr.png';
    $mlf_config['flag']['nl'] = 'nl.png';
    $mlf_config['flag']['se'] = 'se.png';
    $mlf_config['flag']['it'] = 'it.png';
    $mlf_config['flag']['ro'] = 'ro.png';
    $mlf_config['flag']['hu'] = 'hu.png';
    $mlf_config['flag']['ja'] = 'jp.png';
    $mlf_config['flag']['es'] = 'es.png';
    $mlf_config['flag']['vi'] = 'vn.png';
    $mlf_config['flag']['ar'] = 'arle.png';
    $mlf_config['flag']['pt'] = 'br.png';

    // Full country names as locales for Windows systems
    $mlf_config['windows_locale']['aa'] = "Afar";
    $mlf_config['windows_locale']['ab'] = "Abkhazian";
    $mlf_config['windows_locale']['ae'] = "Avestan";
    $mlf_config['windows_locale']['af'] = "Afrikaans";
    $mlf_config['windows_locale']['am'] = "Amharic";
    $mlf_config['windows_locale']['ar'] = "Arabic";
    $mlf_config['windows_locale']['as'] = "Assamese";
    $mlf_config['windows_locale']['ay'] = "Aymara";
    $mlf_config['windows_locale']['az'] = "Azerbaijani";
    $mlf_config['windows_locale']['ba'] = "Bashkir";
    $mlf_config['windows_locale']['be'] = "Belarusian";
    $mlf_config['windows_locale']['bg'] = "Bulgarian";
    $mlf_config['windows_locale']['bh'] = "Bihari";
    $mlf_config['windows_locale']['bi'] = "Bislama";
    $mlf_config['windows_locale']['bn'] = "Bengali";
    $mlf_config['windows_locale']['bo'] = "Tibetan";
    $mlf_config['windows_locale']['br'] = "Breton";
    $mlf_config['windows_locale']['bs'] = "Bosnian";
    $mlf_config['windows_locale']['ca'] = "Catalan";
    $mlf_config['windows_locale']['ce'] = "Chechen";
    $mlf_config['windows_locale']['ch'] = "Chamorro";
    $mlf_config['windows_locale']['co'] = "Corsican";
    $mlf_config['windows_locale']['cs'] = "Czech";
    $mlf_config['windows_locale']['cu'] = "Church Slavic";
    $mlf_config['windows_locale']['cv'] = "Chuvash";
    $mlf_config['windows_locale']['cy'] = "Welsh";
    $mlf_config['windows_locale']['da'] = "Danish";
    $mlf_config['windows_locale']['de'] = "German";
    $mlf_config['windows_locale']['dz'] = "Dzongkha";
    $mlf_config['windows_locale']['el'] = "Greek";
    $mlf_config['windows_locale']['en'] = "English";
    $mlf_config['windows_locale']['eo'] = "Esperanto";
    $mlf_config['windows_locale']['es'] = "Spanish";
    $mlf_config['windows_locale']['et'] = "Estonian";
    $mlf_config['windows_locale']['eu'] = "Basque";
    $mlf_config['windows_locale']['fa'] = "Persian";
    $mlf_config['windows_locale']['fi'] = "Finnish";
    $mlf_config['windows_locale']['fj'] = "Fijian";
    $mlf_config['windows_locale']['fo'] = "Faeroese";
    $mlf_config['windows_locale']['fr'] = "French";
    $mlf_config['windows_locale']['fy'] = "Frisian";
    $mlf_config['windows_locale']['ga'] = "Irish";
    $mlf_config['windows_locale']['gd'] = "Gaelic (Scots)";
    $mlf_config['windows_locale']['gl'] = "Gallegan";
    $mlf_config['windows_locale']['gn'] = "Guarani";
    $mlf_config['windows_locale']['gu'] = "Gujarati";
    $mlf_config['windows_locale']['gv'] = "Manx";
    $mlf_config['windows_locale']['ha'] = "Hausa";
    $mlf_config['windows_locale']['he'] = "Hebrew";
    $mlf_config['windows_locale']['hi'] = "Hindi";
    $mlf_config['windows_locale']['ho'] = "Hiri Motu";
    $mlf_config['windows_locale']['hr'] = "Croatian";
    $mlf_config['windows_locale']['hu'] = "Hungarian";
    $mlf_config['windows_locale']['hy'] = "Armenian";
    $mlf_config['windows_locale']['hz'] = "Herero";
    $mlf_config['windows_locale']['ia'] = "Interlingua";
    $mlf_config['windows_locale']['id'] = "Indonesian";
    $mlf_config['windows_locale']['ie'] = "Interlingue";
    $mlf_config['windows_locale']['ik'] = "Inupiaq";
    $mlf_config['windows_locale']['is'] = "Icelandic";
    $mlf_config['windows_locale']['it'] = "Italian";
    $mlf_config['windows_locale']['iu'] = "Inuktitut";
    $mlf_config['windows_locale']['ja'] = "Japanese";
    $mlf_config['windows_locale']['jw'] = "Javanese";
    $mlf_config['windows_locale']['ka'] = "Georgian";
    $mlf_config['windows_locale']['ki'] = "Kikuyu";
    $mlf_config['windows_locale']['kj'] = "Kuanyama";
    $mlf_config['windows_locale']['kk'] = "Kazakh";
    $mlf_config['windows_locale']['kl'] = "Kalaallisut";
    $mlf_config['windows_locale']['km'] = "Khmer";
    $mlf_config['windows_locale']['kn'] = "Kannada";
    $mlf_config['windows_locale']['ko'] = "Korean";
    $mlf_config['windows_locale']['ks'] = "Kashmiri";
    $mlf_config['windows_locale']['ku'] = "Kurdish";
    $mlf_config['windows_locale']['kv'] = "Komi";
    $mlf_config['windows_locale']['kw'] = "Cornish";
    $mlf_config['windows_locale']['ky'] = "Kirghiz";
    $mlf_config['windows_locale']['la'] = "Latin";
    $mlf_config['windows_locale']['lb'] = "Letzeburgesch";
    $mlf_config['windows_locale']['ln'] = "Lingala";
    $mlf_config['windows_locale']['lo'] = "Lao";
    $mlf_config['windows_locale']['lt'] = "Lithuanian";
    $mlf_config['windows_locale']['lv'] = "Latvian";
    $mlf_config['windows_locale']['mg'] = "Malagasy";
    $mlf_config['windows_locale']['mh'] = "Marshall";
    $mlf_config['windows_locale']['mi'] = "Maori";
    $mlf_config['windows_locale']['mk'] = "Macedonian";
    $mlf_config['windows_locale']['ml'] = "Malayalam";
    $mlf_config['windows_locale']['mn'] = "Mongolian";
    $mlf_config['windows_locale']['mo'] = "Moldavian";
    $mlf_config['windows_locale']['mr'] = "Marathi";
    $mlf_config['windows_locale']['ms'] = "Malay";
    $mlf_config['windows_locale']['mt'] = "Maltese";
    $mlf_config['windows_locale']['my'] = "Burmese";
    $mlf_config['windows_locale']['na'] = "Nauru";
    $mlf_config['windows_locale']['nb'] = "Norwegian Bokmal";
    $mlf_config['windows_locale']['nd'] = "Ndebele, North";
    $mlf_config['windows_locale']['ne'] = "Nepali";
    $mlf_config['windows_locale']['ng'] = "Ndonga";
    $mlf_config['windows_locale']['nl'] = "Dutch";
    $mlf_config['windows_locale']['nn'] = "Norwegian Nynorsk";
    $mlf_config['windows_locale']['no'] = "Norwegian";
    $mlf_config['windows_locale']['nr'] = "Ndebele, South";
    $mlf_config['windows_locale']['nv'] = "Navajo";
    $mlf_config['windows_locale']['ny'] = "Chichewa; Nyanja";
    $mlf_config['windows_locale']['oc'] = "Occitan (post 1500)";
    $mlf_config['windows_locale']['om'] = "Oromo";
    $mlf_config['windows_locale']['or'] = "Oriya";
    $mlf_config['windows_locale']['os'] = "Ossetian; Ossetic";
    $mlf_config['windows_locale']['pa'] = "Panjabi";
    $mlf_config['windows_locale']['pi'] = "Pali";
    $mlf_config['windows_locale']['pl'] = "Polish";
    $mlf_config['windows_locale']['ps'] = "Pushto";
    $mlf_config['windows_locale']['pt'] = "Portuguese";
    $mlf_config['windows_locale']['qu'] = "Quechua";
    $mlf_config['windows_locale']['rm'] = "Rhaeto-Romance";
    $mlf_config['windows_locale']['rn'] = "Rundi";
    $mlf_config['windows_locale']['ro'] = "Romanian";
    $mlf_config['windows_locale']['ru'] = "Russian";
    $mlf_config['windows_locale']['rw'] = "Kinyarwanda";
    $mlf_config['windows_locale']['sa'] = "Sanskrit";
    $mlf_config['windows_locale']['sc'] = "Sardinian";
    $mlf_config['windows_locale']['sd'] = "Sindhi";
    $mlf_config['windows_locale']['se'] = "Sami";
    $mlf_config['windows_locale']['sg'] = "Sango";
    $mlf_config['windows_locale']['si'] = "Sinhalese";
    $mlf_config['windows_locale']['sk'] = "Slovak";
    $mlf_config['windows_locale']['sl'] = "Slovenian";
    $mlf_config['windows_locale']['sm'] = "Samoan";
    $mlf_config['windows_locale']['sn'] = "Shona";
    $mlf_config['windows_locale']['so'] = "Somali";
    $mlf_config['windows_locale']['sq'] = "Albanian";
    $mlf_config['windows_locale']['sr'] = "Serbian";
    $mlf_config['windows_locale']['ss'] = "Swati";
    $mlf_config['windows_locale']['st'] = "Sotho";
    $mlf_config['windows_locale']['su'] = "Sundanese";
    $mlf_config['windows_locale']['sv'] = "Swedish";
    $mlf_config['windows_locale']['sw'] = "Swahili";
    $mlf_config['windows_locale']['ta'] = "Tamil";
    $mlf_config['windows_locale']['te'] = "Telugu";
    $mlf_config['windows_locale']['tg'] = "Tajik";
    $mlf_config['windows_locale']['th'] = "Thai";
    $mlf_config['windows_locale']['ti'] = "Tigrinya";
    $mlf_config['windows_locale']['tk'] = "Turkmen";
    $mlf_config['windows_locale']['tl'] = "Tagalog";
    $mlf_config['windows_locale']['tn'] = "Tswana";
    $mlf_config['windows_locale']['to'] = "Tonga";
    $mlf_config['windows_locale']['tr'] = "Turkish";
    $mlf_config['windows_locale']['ts'] = "Tsonga";
    $mlf_config['windows_locale']['tt'] = "Tatar";
    $mlf_config['windows_locale']['tw'] = "Twi";
    $mlf_config['windows_locale']['ug'] = "Uighur";
    $mlf_config['windows_locale']['uk'] = "Ukrainian";
    $mlf_config['windows_locale']['ur'] = "Urdu";
    $mlf_config['windows_locale']['uz'] = "Uzbek";
    $mlf_config['windows_locale']['vi'] = "Vietnamese";
    $mlf_config['windows_locale']['vo'] = "Volapuk";
    $mlf_config['windows_locale']['wo'] = "Wolof";
    $mlf_config['windows_locale']['xh'] = "Xhosa";
    $mlf_config['windows_locale']['yi'] = "Yiddish";
    $mlf_config['windows_locale']['yo'] = "Yoruba";
    $mlf_config['windows_locale']['za'] = "Zhuang";
    $mlf_config['windows_locale']['zh'] = "Chinese";
    $mlf_config['windows_locale']['zu'] = "Zulu";

    // Location of flags (needs trailing slash!)
    $mlf_config['flag_location'] =  "/flags/";

    return $mlf_config;

}

function create_default_settings(){

    // enable the use of following languages (order=>language)
    $mlf_config['enabled_languages'] = array(
        '0' => 'pt',
        '1' => 'es',
        '2' => 'en'
    );

    $mlf_config['hide_default_language'] = true;

    // set default language/ check if language is defined in wp-config.php
    if (defined('WPLANG') and WPLANG != ''){
        $mlf_config['default_language'] = substr(WPLANG,0,2);
    }else{
        $mlf_config['default_language'] = 'es';
    }

    $mlf_config['url_mode'] =  "path";

    $mlf_config['post_types'] =  array('post');

    /*
    foreach ($mlf_config as $name => $value){
        update_option( $plugin_prefix . $name, $value);
    }
    * */
    update_option('mlf_config', $mlf_config);

}
?>
